html {
    scrollbar-gutter: stable;
}

:root {
    --bg-colour: #ffffff;
    --text-colour: #000000;
    --accent-colour: #ff7700;

    --edge-spacing: 10vw;
    --content-width: 40vw;

    --font-main: 'Helvetica', sans-serif;
    --font-size-title: 20px;
    --font-size-sub: 16px;
    --font-size-base: 16px;

    --scrollbar-width: calc(100vw - 100%);
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    background-color: var(--bg-colour);
    color: var(--text-colour);
    font-family: var(--font-main);
    font-size: var(--font-size-base);
    letter-spacing: -0.03em;
    font-weight: 200;
}

.link {
    color: var(--text-colour);
    text-decoration: underline;
}

.link:hover {
    color: var(--accent-colour);
}

.menu-link {
    color: var(--text-colour);
    font-size: inherit;
    text-decoration: underline;
    position: relative;
    display: inline-block;
    margin-bottom: .7rem;
    cursor: pointer;
}

.menu-link:hover {
    color: var(--accent-colour);
}

.nav-link {
    color: var(--text-colour);
    font-size: inherit;
    text-decoration: none;
    position: relative;
    display: inline-block;
    cursor: pointer;
    margin-bottom: 0.6rem;
}

.nav-link:hover {
    color: var(--accent-colour);
}

.nav-link:hover {
    text-decoration: underline;
}

/* home page */
.body-home {
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
}

.home-nav {
    position: absolute;
    left: var(--edge-spacing);
    top: 50%;
    transform: translateY(-50%);
}

.content-nav {
    position: fixed;
    left: calc(var(--edge-spacing) - var(--scrollbar-width));
    top: var(--edge-spacing);
    justify-content: center;
    text-align: left;
}

.nav-list {
    list-style: none;
}

.nav-list li > :last-child {
    flex: 1;
}

.nav-list li > div {
  margin-bottom: 0.7rem;
}

.content-wrapper .nav-list li{
    display: flex;
    align-items: right;
}

.list-date  {
    flex: 0 0 5rem;
    font-variant-numeric: tabular-nums;
}


/*text pages*/
.body-content {
    padding-bottom: 100px;
}

.content-wrapper {
    margin-left: auto;
    margin-right: 20vw;
    margin-top: var(--edge-spacing);
    max-width: var(--content-width);

}

.page-title {
    font-size: var(--font-size-title);
    font-weight: 400;
    margin-bottom: 0.7rem;
    line-height: 1;
}

.no-sub .page-title {margin-bottom: 2rem;}

.page-subtitle {
    font-size: var(--font-size-sub);
    font-weight: 400;
    margin-bottom: 2.5rem;
    line-height: 1;
}

.page-subheading {
    font-size: var(--font-size-sub);
    font-weight: 400;
    margin-top: 2.5rem;
    margin-bottom: .7rem;
    line-height: 1;
}

.page-text {
    margin-bottom: 2rem;
}

.page-text p {
    margin-bottom: 1rem;
    text-align: justify;
    font-size: var(--font-size-base);
    line-height: 1.7;
}

.page-text ul {
    list-style-type: none;
    padding-left: 2rem;
    margin-top: 0;
}

.page-text li {
    margin-bottom: 1rem;
}

.author {
    text-align: right;
    margin-top: 3rem;
    margin-bottom: 1rem;
}

img {
    max-width: 100%;
    height: auto;
    display: block;
    margin-top: 1rem;
    margin-bottom: 1rem;
    object-fit: contain;
}

.image-row {
    display: flex;
    gap: 0.7rem;
    margin: 1% 0;
    margin-bottom: -0.7rem;
}

.image-row img {
    flex: 1;
    max-width: 49%;
    margin: 1% 0;
}

button {
    all: unset;
}

button:focus {
    outline: revert;
}

.mobile-menu-toggle {
    display: none;
}


/*phones*/
@media (max-width: 768px) {

    :root {
        --edge-spacing: 30px;
        --content-width: calc(100vw - 60px);
    }

    .page-text p {
        text-align: left;
    }

    .home-nav {
        width: var(--content-width);
        left: var(--edge-spacing);
    }


    .content-nav {
        position: fixed;
        top: 0;
        bottom: auto;
        left: 0;
        right: 0;

        background-color: rgb(0, 0, 0);
        z-index: 998;

        padding: 10px 15px 15px var(--edge-spacing);

        display: flex;
        flex-direction: column;
        align-items: flex-start;
        text-align: left;
    }

    .mobile-menu-toggle {
        display: flex;
        align-items: center;
        height: 50px;
        cursor: pointer;
        color: var(--text-colour);
        /* font reflects root*/
    }

    .mobile-menu-toggle:hover {
        color: var(--accent-colour);
    }

    .nav-content {
        display: none;
        margin-top: 15px;
    }

    .content-nav.is-open .nav-content {
        display: block;
    }

    .image-row {
        flex-direction: column;
    }

    .image-row img {
        max-width: 100%;
    }

    .nav-link-undl.left:hover::after,
    .nav-link-undl.right:hover::after {
        left: auto;
        right: 0;
    }
}
